org.apache.cxf.ws.addressing

## Class WSAddressingFeature

- java.lang.Object
- - javax.xml.ws.WebServiceFeature
  - - org.apache.cxf.feature.AbstractFeature
    - - org.apache.cxf.ws.addressing.WSAddressingFeature

- All Implemented Interfaces:
    AbstractPortableFeature, Feature

      public class WSAddressingFeature
      extends AbstractFeature

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WSAddressingFeature.AddressingResponses`
    `static interface` | `WSAddressingFeature.WSAddressingFeatureApplier`

  - ### Field Summary

    - ### Fields inherited from class javax.xml.ws.WebServiceFeature

      `enabled`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WSAddressingFeature()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessageIdCache` | `getMessageIdCache()` Returns the cache used to enforce duplicate message IDs when `isAllowDuplicates()` returns `false`.
    `WSAddressingFeature.AddressingResponses` | `getResponses()`
    `protected void` | `initializeProvider(InterceptorProvider provider, Bus bus)`
    `boolean` | `isAddressingRequired()`
    `boolean` | `isAllowDuplicates()`
    `boolean` | `isUsingAddressingAdvisory()`
    `void` | `setAddressingRequired(boolean r)`
    `void` | `setAllowDuplicates(boolean allow)`
    `void` | `setMessageIdCache(MessageIdCache messageIdCache)` Sets the cache used to enforce duplicate message IDs when `isAllowDuplicates()` returns `false`.
    `void` | `setResponses(String r)`
    `void` | `setResponses(WSAddressingFeature.AddressingResponses r)`
    `void` | `setUsingAddressingAdvisory(boolean advisory)`

    - ### Methods inherited from class org.apache.cxf.feature.AbstractFeature

      `doInitializeProvider, getActive, getID, isEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cxf.feature.AbstractPortableFeature

      `initialize, initialize, initialize, initialize`

- - ### Constructor Detail

    - #### WSAddressingFeature

          public WSAddressingFeature()

  - ### Method Detail

    - #### initializeProvider

          protected void initializeProvider(InterceptorProvider provider,
                                            Bus bus)

      Overrides:
        `initializeProvider` in class `AbstractFeature`

    - #### setAllowDuplicates

          public void setAllowDuplicates(boolean allow)

    - #### isAllowDuplicates

          public boolean isAllowDuplicates()

    - #### setUsingAddressingAdvisory

          public void setUsingAddressingAdvisory(boolean advisory)

    - #### isUsingAddressingAdvisory

          public boolean isUsingAddressingAdvisory()

    - #### isAddressingRequired

          public boolean isAddressingRequired()

    - #### setAddressingRequired

          public void setAddressingRequired(boolean r)

    - #### getMessageIdCache

          public MessageIdCache getMessageIdCache()

      Returns the cache used to enforce duplicate message IDs when `isAllowDuplicates()` returns `false`.
      Returns:
        the cache used to enforce duplicate message IDs

    - #### setMessageIdCache

          public void setMessageIdCache(MessageIdCache messageIdCache)

      Sets the cache used to enforce duplicate message IDs when `isAllowDuplicates()` returns `false`.
      Parameters:
        `messageIdCache` - the cache to use
      Throws:
        `NullPointerException` - if `messageIdCache` is `null`

    - #### setResponses

          public void setResponses(WSAddressingFeature.AddressingResponses r)

    - #### setResponses

          public void setResponses(String r)

    - #### getResponses

          public WSAddressingFeature.AddressingResponses getResponses()

Apache CXF